/******* ESBORRAMENT DE PROCEDIMENTS *********************/

drop procedure sp_alta_aplicacio;
drop procedure sp_alta_desenvolupador;
drop procedure sp_alta_usuari;
drop procedure sp_alta_est1;
drop procedure sp_alta_est2;
drop procedure sp_alta_est3;
drop procedure sp_alta_est4;
drop procedure sp_alta_est5;
drop procedure sp_alta_est6;
drop procedure sp_alta_est7;
drop procedure sp_alta_est8;
drop procedure sp_alta_logs;
drop procedure sp_baixa_usuari;
drop procedure sp_baixa_aplicacio;
drop procedure sp_baixa_desenvolupador;
drop procedure sp_modificacio_aplicacio;
drop procedure sp_modificacio_usuari;
drop procedure sp_modificacio_desenvolupador;
drop procedure sp_descarrega;


/**************** ESBORRAMENT FUNCIONS ***********************/


drop function activitat_usuari;
drop function aplicacions_actives;
drop function desenv_nombre_aplicacions;
drop function max_despesa;
drop function paisos_nombre_descarregues;


/**************** ESBORRAMENT DISPARADORS  **********************/
drop trigger tr_est4;
drop trigger tr_est5;
drop trigger tr_est6;
drop trigger tr_est7;
drop trigger tr_est8;
drop trigger tr_logs;

/******************* ESBORRAMENT TYPES **************************/

drop type table6;
drop type table5;
drop type table4;
drop type table3;
drop type table2;
drop type table1;
drop type llista_paisos;
drop type llista_desenvolupadors;
drop type llista_aplicacions;
drop type info_usuari;
drop type llista_so;
drop type llista_usuaris;

/***************** ESBORRAMENT SEQNCIES *******************/

drop sequence sq_est4;
drop sequence sq_est5;
drop sequence sq_est6;
drop sequence sq_est7;
drop sequence sq_est8;
drop sequence sq_logs;



/***************** ESBORRAMENT TAULES ***********************/

drop table est1 cascade constraints;
drop table est2 cascade constraints;
drop table est3 cascade constraints;
drop table est4 cascade constraints;
drop table est5 cascade constraints;
drop table est6 cascade constraints;
drop table est7 cascade constraints;
drop table est8 cascade constraints;
drop table logs cascade constraints;
drop table persona cascade constraints;
drop table usuari cascade constraints;
drop table desenvolupador cascade constraints;
drop table aplicacio cascade constraints;
drop table so cascade constraints;
drop table pais cascade constraints;
drop table dispositiu cascade constraints;
drop table empresa cascade constraints;
drop table descarrega cascade constraints;
drop table creacio cascade constraints;
drop table treballa cascade constraints;
drop table viable cascade constraints;
drop table registre cascade constraints;

